Bug 291968 - Amarok Frozen [@ Meta::MediaDeviceHandler::setupAlbumMap]
Summary: Amarok Frozen [@ Meta::MediaDeviceHandler::setupAlbumMap]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Media Devices (show other bugs)
Version: 2.5-git
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
: 292192 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-01-19 16:35 UTC by João Paulo Limberger
Modified: 2012-01-23 09:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description João Paulo Limberger 2012-01-19 16:35:48 UTC
Application: amarok (2.5-GIT)
KDE Platform Version: 4.7.4 (4.7.4) (Compiled from sources)
Qt Version: 4.8.0
Operating System: Linux 3.1.9-1.fc16.x86_64 x86_64
Distribution: "Fedora release 16 (Verne)"

-- Information about the crash:
- What I was doing when the application crashed: Initializing Amarok, listening 1 or 2 music then the ide freeze.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f960cacb880 (LWP 543))]

Thread 14 (Thread 0x7f95ed3fd700 (LWP 549)):
#0  0x0000003633009de5 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x0000003634844043 in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#2  0x0000003634844e1d in ?? () from /lib64/libglib-2.0.so.0
#3  0x000000363484544c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#4  0x0000003a5eda7db6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x0000003a5ed78172 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x0000003a5ed783c7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x0000003a5ec78b27 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#8  0x0000003a5ed57e6f in ?? () from /usr/lib64/libQtCore.so.4
#9  0x0000003a5ec7bb6b in ?? () from /usr/lib64/libQtCore.so.4
#10 0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#11 0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#12 0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f95ecbfc700 (LWP 550)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a5ec7c07b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003a6bc0aa8b in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003a6bc0d37b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003a6bc0d394 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003a6bc0c1ef in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003a6bc0c27b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003a5ec7bb6b in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#10 0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f95e5e5b700 (LWP 551)):
[KCrash Handler]
#6  0x0000003632836285 in raise () from /lib64/libc.so.6
#7  0x0000003632837b9b in abort () from /lib64/libc.so.6
#8  0x0000003a5ec714b4 in qt_message_output(QtMsgType, char const*) () from /usr/lib64/libQtCore.so.4
#9  0x0000003a5ec7166f in ?? () from /usr/lib64/libQtCore.so.4
#10 0x0000003a5ec71814 in qFatal(char const*, ...) () from /usr/lib64/libQtCore.so.4
#11 0x00007f960d4b96a8 in KSharedPtr<Meta::MediaDeviceAlbum>::operator-> (this=0x7f95e5e5a7f0) at /usr/include/kde4/KDE/../ksharedptr.h:126
#12 0x00007f960d4c28c8 in Meta::MediaDeviceHandler::setupAlbumMap (this=0x2d91cf0, track=..., albumMap=..., artistMap=...) at /home/f4955639/kde/src/amarok/src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp:721
#13 0x00007f960d4c3747 in Meta::MediaDeviceHandler::privateParseTracks (this=0x2d91cf0) at /home/f4955639/kde/src/amarok/src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp:830
#14 0x00007f960d4c5280 in Meta::ParseWorkerThread::run (this=0x403ce00) at /home/f4955639/kde/src/amarok/src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp:1191
#15 0x0000003a6bc0c9fb in ?? () from /usr/lib64/libthreadweaver.so.4
#16 0x0000003a6bc0cb6c in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib64/libthreadweaver.so.4
#17 0x0000003a6bc0c1bf in ?? () from /usr/lib64/libthreadweaver.so.4
#18 0x0000003a6bc0c27b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#19 0x0000003a5ec7bb6b in ?? () from /usr/lib64/libQtCore.so.4
#20 0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#21 0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#22 0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f95e565a700 (LWP 553)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a5ec7c07b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003a6bc0aa8b in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003a6bc0d37b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003a6bc0d394 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003a6bc0c1ef in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003a6bc0c27b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003a5ec7bb6b in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#10 0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f95e4e59700 (LWP 554)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a5ec7c07b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000003a6bc0aa8b in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x0000003a6bc0d37b in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x0000003a6bc0d394 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x0000003a6bc0c1ef in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x0000003a6bc0c27b in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x0000003a5ec7bb6b in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#10 0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f95d7fff700 (LWP 555)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a6efb86ec in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x0000003a6efb8819 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#4  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#5  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f95d76fe700 (LWP 556)):
#0  0x00000036328e6af3 in poll () from /lib64/libc.so.6
#1  0x0000003634844f88 in ?? () from /lib64/libglib-2.0.so.0
#2  0x000000363484544c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x0000003a5eda7db6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x0000003a5ed78172 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x0000003a5ed783c7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x0000003a5ec78b27 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x0000003a5ec7bb6b in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#9  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#10 0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f95d55f1700 (LWP 559)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a6c584e62 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x0000003a6c584e99 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#4  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#5  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f95baebd700 (LWP 585)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a680844ef in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#2  0x000000363486c6f8 in ?? () from /lib64/libglib-2.0.so.0
#3  0x000000363486a1d6 in ?? () from /lib64/libglib-2.0.so.0
#4  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#5  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f95ba492700 (LWP 586)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a680844ef in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#2  0x000000363486c6f8 in ?? () from /lib64/libglib-2.0.so.0
#3  0x000000363486a1d6 in ?? () from /lib64/libglib-2.0.so.0
#4  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#5  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f95b3fff700 (LWP 587)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a680844ef in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#2  0x000000363486c6f8 in ?? () from /lib64/libglib-2.0.so.0
#3  0x000000363486a1d6 in ?? () from /lib64/libglib-2.0.so.0
#4  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#5  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f95b8c8f700 (LWP 590)):
#0  0x000000363300bae5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003a680844ef in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#2  0x000000363486c6f8 in ?? () from /lib64/libglib-2.0.so.0
#3  0x000000363486a1d6 in ?? () from /lib64/libglib-2.0.so.0
#4  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#5  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#6  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f95f9968700 (LWP 595)):
#0  0x00000036328e6af3 in poll () from /lib64/libc.so.6
#1  0x00000039ad02c08f in ?? () from /usr/lib64/libpulse.so.0
#2  0x00000039ad01df06 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00000039ad01e539 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00000039ad01e5f0 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00000039ad02c03f in ?? () from /usr/lib64/libpulse.so.0
#6  0x00000039acc38be8 in ?? () from /usr/lib64/libpulsecommon-0.9.23.so
#7  0x000000364c8a52da in ?? () from /usr/lib64/nvidia/libGL.so.1
#8  0x0000003633007d90 in start_thread () from /lib64/libpthread.so.0
#9  0x00000036328ef48d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f960cacb880 (LWP 543)):
#0  0x000000363300bac8 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000039ad02c6b0 in pa_threaded_mainloop_wait () from /usr/lib64/libpulse.so.0
#2  0x00007f95f9971c3c in ?? () from /usr/lib64/gstreamer-0.10/libgstpulse.so
#3  0x00007f95f9973288 in ?? () from /usr/lib64/gstreamer-0.10/libgstpulse.so
#4  0x00007f95fe457eed in gst_ring_buffer_stop () from /usr/lib64/libgstaudio-0.10.so.0
#5  0x00007f95fe457fa6 in gst_ring_buffer_release () from /usr/lib64/libgstaudio-0.10.so.0
#6  0x00007f95fe460c63 in ?? () from /usr/lib64/libgstaudio-0.10.so.0
#7  0x00007f95f9974559 in ?? () from /usr/lib64/gstreamer-0.10/libgstpulse.so
#8  0x0000003a68041d4c in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#9  0x0000003a68042732 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#10 0x0000003a6802f50a in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#11 0x0000003a68041d4c in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#12 0x0000003a68041dcf in gst_element_change_state () from /usr/lib64/libgstreamer-0.10.so.0
#13 0x0000003a68042732 in ?? () from /usr/lib64/libgstreamer-0.10.so.0
#14 0x00007f95fe68380a in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#15 0x00007f95fe683869 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#16 0x0000003a67841b24 in Phonon::MediaNodePrivate::deleteBackendObject() () from /usr/lib64/libphonon.so.4
#17 0x0000003a6782c5a0 in ?? () from /usr/lib64/libphonon.so.4
#18 0x0000003a6782c889 in ?? () from /usr/lib64/libphonon.so.4
#19 0x0000003632839931 in __run_exit_handlers () from /lib64/libc.so.6
#20 0x00000036328399b5 in exit () from /lib64/libc.so.6
#21 0x00007f960510ca14 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#22 0x0000003a62c4f4a8 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib64/libkdeui.so.5
#23 0x00000036354481be in _XIOError () from /usr/lib64/libX11.so.6
#24 0x0000003635445a5d in _XEventsQueued () from /usr/lib64/libX11.so.6
#25 0x00000036354364ff in XEventsQueued () from /usr/lib64/libX11.so.6
#26 0x0000003a60a6c4bc in ?? () from /usr/lib64/libQtGui.so.4
#27 0x0000003634844754 in g_main_context_check () from /lib64/libglib-2.0.so.0
#28 0x0000003634844fa2 in ?? () from /lib64/libglib-2.0.so.0
#29 0x000000363484544c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#30 0x0000003a5eda7d4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#31 0x0000003a60a6c61e in ?? () from /usr/lib64/libQtGui.so.4
#32 0x0000003a5ed78172 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#33 0x0000003a5ed783c7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#34 0x0000003a5ed7cdc5 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#35 0x000000000040c753 in main (argc=3, argv=0x7fff5e36ba08) at /home/f4955639/kde/src/amarok/src/main.cpp:303

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2012-01-21 12:34:08 UTC
Are you listening to tracks located on an MTP player?
Comment 2 João Paulo Limberger 2012-01-21 13:37:56 UTC
(In reply to comment #1)
> Are you listening to tracks located on an MTP player?

The thracks are located in the same HD, in a ntfs partition mounted via ntfs-3g.
Comment 3 Myriam Schweingruber 2012-01-21 19:12:58 UTC
Thank you for the feedback.
Comment 4 Matěj Laitl 2012-01-21 22:23:04 UTC
Git commit 7a76bca93a54a65680a1519c9c6629ebb66cd3a3 by Matěj Laitl.
Committed on 21/01/2012 at 23:18.
Pushed by laitl into branch 'master'.

Fix crash in Meta::MediaDeviceHandler::setupAlbumMap() (my bad)

Thanks for your report, jlimberger@gmail.com, I made a mistake when
refactoring other code in Amarok.

M  +1    -0    ChangeLog
M  +1    -1    src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp

http://commits.kde.org/amarok/7a76bca93a54a65680a1519c9c6629ebb66cd3a3
Comment 5 Matěj Laitl 2012-01-23 09:57:54 UTC
*** Bug 292192 has been marked as a duplicate of this bug. ***